org.fourthline.cling.model.message.header

## Class USNRootDeviceHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<UDN>
  - - org.fourthline.cling.model.message.header.USNRootDeviceHeader

-     public class USNRootDeviceHeader
      extends UpnpHeader<UDN>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `UpnpHeader.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ROOT_DEVICE_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `USNRootDeviceHeader()`
    `USNRootDeviceHeader(UDN udn)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_DEVICE_SUFFIX

          public static final String ROOT_DEVICE_SUFFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### USNRootDeviceHeader

          public USNRootDeviceHeader()

    - #### USNRootDeviceHeader

          public USNRootDeviceHeader(UDN udn)

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Specified by:
        `setString` in class `UpnpHeader<UDN>`
      Parameters:
        `s` - This header's value as a string representation.
      Throws:
        `InvalidHeaderException` - If the value is invalid for this UPnP header.

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `UpnpHeader<UDN>`
      Returns:
        A string representing this header's value.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.